Obter clientes
curl --request GET \
--url https://api-vendas.taximachine.com.br/api/integracao/cliente \
--header 'Authorization: Basic <encoded-value>' \
--header 'api-key: <api-key>'import requests
url = "https://api-vendas.taximachine.com.br/api/integracao/cliente"
headers = {
"Authorization": "Basic <encoded-value>",
"api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Basic <encoded-value>', 'api-key': '<api-key>'}
};
fetch('https://api-vendas.taximachine.com.br/api/integracao/cliente', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"response": [
{
"id": "1",
"nome": "Exemplo",
"email": "exemplo@email.com.br",
"telefone": "(11) 97772-3133",
"status_cliente": "A",
"cpf": null,
"foto_url": "https://s3.amazonaws.com/exemplo-bucket/fotos/cliente-1.jpg?X-Amz-Expires=..."
}
]
}Clientes
Obter clientes
Quando acionada, são retornados todos os clientes da central conforme os parâmetros informados.
GET
/
cliente
Obter clientes
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Obrigatório. Sua chave API.
Query Parameters
ID do cliente de que se deseja saber informações, caso seja informado, os demais parâmetros serão ignorados. Caso não seja informado, retornará todos os clientes conforme os limites informados. O limite padrão é 20 e o máximo é 100.
Filtra os clientes pelo status:
A: Ativo I: Inativo S: Suspenso G: Aguardando ativação
Available options:
A, I, S, G Quantidade de clientes retornados. O limite padrão é 20 e o máximo é 100.
Required range:
x <= 100Qual início da contagem para o limite. O padrão é 1.
Response
200 - application/json
Sucesso
The response is of type object.
